# Mastery test 2 - part 2


def make_numberlist(first, last):
    """
    Return a list containing all of the numbers from first to last inclusive.

    >>> make_numberlist(0,3)
    [0, 1, 2, 3]
    >>> make_numberlist(2,10)
    [2, 3, 4, 5, 6, 7, 8, 9, 10]
    """
def common_elements(list1, list2):
    """
    Return a list containing the elements which are in both list1 and list2

    >>> common_elements([1,2,3,4,5,6], [3,5,7,9])
    [3, 5]
    >>> common_elements(['this','this','n','that'],['this','not','that','that'])
    ['this', 'that']
    """

def remove_section(alist, start, end):
    """
    Return a copy of alist removing the section from start to end inclusive

    >>> remove_section([8,7,6,5,4,3,2,1], 2, 5)
    [8, 7, 2, 1]
    >>> remove_section(['bob','sue','jim','mary','tony'], 0,1)
    ['jim', 'mary', 'tony']
    """

def add_lists(lista, listb):
    """
    Returns a new list containing the sum of each corresponding pair of items
 
    >>> add_lists([1, 1], [1, 1])
    [2, 2]
    >>> add_lists([1, 2], [1, 4])
    [2, 6]
    >>> add_lists([1, 2, 1], [1, 4, 3])
    [2, 6, 4]
    """

if __name__ == '__main__':
    import doctest
    doctest.testmod(verbose=True)
